import Config

# We don't run a server during test. If one is required,
# you can enable the server option below.
config :chronoscope, ChronoscopeWeb.Endpoint,
  http: [ip: {127, 0, 0, 1}, port: 4002],
  secret_key_base: "gLqEWSOBf2ew/JHgJWte8eJb91l53Tv9dTYdcDRBOiWNKlh0L+Iy+XMhCvk19xU7",
  server: false

# In test we don't send emails.
config :chronoscope, Chronoscope.Mailer, adapter: Swoosh.Adapters.Test

config :chronoscope, :nts_file, "priv/nts-test.txt"

# Disable swoosh api client as it is only required for production adapters.
config :swoosh, :api_client, false

# Print only warnings and errors during test
config :logger, level: :warning

# Initialize plugs at runtime for faster test compilation
config :phoenix, :plug_init_mode, :runtime

config :chronoscope,
  date_time: Chronoscope.DateTimeMock,
  ssl: Chronoscope.SSLMock,
  dynamic_supervisor: Chronoscope.DynamicSupervisorMock,
  registry: Chronoscope.RegistryMock,
  gen_server: Chronoscope.GenServerMock,
  nts: Chronoscope.NTSMock,
  gemini: Chronoscope.GeminiMock
