defmodule Chronoscope.NTS.Parse do
  @default_port 4460

  def parse_nts_server(server) do
    case String.split(server, ":") do
      [host, port] -> %{host: host, port: String.to_integer(port)}
      [host] -> %{host: host, port: @default_port}
    end
  end
end
