defmodule ChronoscopeWeb.API.V1.HealthControllerTest do
  use ChronoscopeWeb.ConnCase, async: true

  describe "GET /api/v1/health" do
    test "is healthy", %{conn: conn} do
      response =
        conn
        |> get(~p"/api/v1/health")
        |> json_response(200)

      assert %{"healthy" => true} == response
    end
  end
end
